--- net/socket/socks_client_socket.cc
+++ net/socket/socks_client_socket.cc
@@ -17,6 +17,11 @@
 #include "net/base/load_log.h"
 #include "net/base/net_util.h"
 
+#if defined(OS_FREEBSD)
+#include <netinet/in.h>
+#include <sys/socket.h>
+#endif
+
 namespace net {
 
 // Every SOCKS server requests a user-id from the client. It is optional
@@ -395,7 +400,7 @@ int SOCKSClientSocket::DoHandshakeReadComplete(int result) {
   // Note: we ignore the last 6 bytes as specified by the SOCKS protocol
 }
 
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
 int SOCKSClientSocket::GetPeerName(struct sockaddr* name,
                                    socklen_t* namelen) {
   return transport_->GetPeerName(name, namelen);
diff --git net/socket/socks_client_socket.h net/socket/socks_client_socket.h
index c099c4c..f032a7c 100644
